cURL
curl --request GET \
--url https://api.embeddables.com/projects/{projectId}/entries \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.embeddables.com/projects/{projectId}/entries"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.embeddables.com/projects/{projectId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embeddables.com/projects/{projectId}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embeddables.com/projects/{projectId}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embeddables.com/projects/{projectId}/entries")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embeddables.com/projects/{projectId}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"entry_id": "entry_myexampleentry_1",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_1",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"ada@lovelace.com\" }"
},
{
"entry_id": "entry_myexampleentry_2",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_2",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"grace@hopper.com\" }"
},
{
"entry_id": "entry_myexampleentry_3",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_3",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"alan@turing.com\" }"
}
]{
"error": {
"code": "unauthorized",
"message": "You are not authorized to access this project with the API key provided."
},
"projectId": "pr_myexampleproject"
}Entries
Get Entries
Retrieve all entries from the database
GET
/
projects
/
{projectId}
/
entries
cURL
curl --request GET \
--url https://api.embeddables.com/projects/{projectId}/entries \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.embeddables.com/projects/{projectId}/entries"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.embeddables.com/projects/{projectId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embeddables.com/projects/{projectId}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embeddables.com/projects/{projectId}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embeddables.com/projects/{projectId}/entries")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embeddables.com/projects/{projectId}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"entry_id": "entry_myexampleentry_1",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_1",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"ada@lovelace.com\" }"
},
{
"entry_id": "entry_myexampleentry_2",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_2",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"grace@hopper.com\" }"
},
{
"entry_id": "entry_myexampleentry_3",
"group_id": "group_myexamplegroup",
"project_id": "pr_myexampleproject",
"embeddable_id": "flow_myexampleflow",
"contact_id": "contact_myexamplecontact_3",
"created_at": "2022-01-01T00:00:00Z",
"updated_at": "2022-01-01T00:00:00Z",
"entry_data": "{ \"email\": \"alan@turing.com\" }"
}
]{
"error": {
"code": "unauthorized",
"message": "You are not authorized to access this project with the API key provided."
},
"projectId": "pr_myexampleproject"
}Headers
Path Parameters
The unique identifier for a Project in the database
Query Parameters
The number of entries to return (defaults to 10).
the key that you want to sort by (defaults to sorting by last updated)
The direction to sort by (defaults to DESC)
Available options:
ASC, DESC A Date + Time string in ISO format
A Date + Time string in ISO format
Response
The unique identifier for an Entry in the database
The unique identifier for a Group in the database
The unique identifier for a Project in the database
The unique identifier for a Embeddable in the database
The unique identifier for a Contact in the database
A Date + Time string in ISO format
A Date + Time string in ISO format
The entry's user data, stringified
Was this page helpful?

